package b4j.example;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class main_subs_0 {


public static RemoteObject  _appstart(RemoteObject _form1,RemoteObject _args) throws Exception{
try {
		Debug.PushSubsStack("AppStart (main) ","main",0,main.ba,main.mostCurrent,16);
if (RapidSub.canDelegate("appstart")) return main.remoteMe.runUserSub(false, "main","appstart", _form1, _args);
RemoteObject _jo = RemoteObject.declareNull("anywheresoftware.b4j.object.JavaObject");
Debug.locals.put("Form1", _form1);
Debug.locals.put("Args", _args);
 BA.debugLineNum = 16;BA.debugLine="Sub AppStart (Form1 As Form, Args() As String)";
Debug.ShouldStop(32768);
 BA.debugLineNum = 17;BA.debugLine="MainForm = Form1";
Debug.ShouldStop(65536);
main._mainform = _form1;
 BA.debugLineNum = 18;BA.debugLine="MainForm.RootPane.LoadLayout(\"Main\") 'Load the la";
Debug.ShouldStop(131072);
main._mainform.runMethod(false,"getRootPane").runMethodAndSync(false,"LoadLayout",main.ba,(Object)(RemoteObject.createImmutable("Main")));
 BA.debugLineNum = 19;BA.debugLine="MainForm.Show";
Debug.ShouldStop(262144);
main._mainform.runVoidMethodAndSync ("Show");
 BA.debugLineNum = 22;BA.debugLine="cvsLayer = Array As Canvas(cvsLayer0, cvsLayer1,";
Debug.ShouldStop(2097152);
main._cvslayer = RemoteObject.createNewArray("anywheresoftware.b4j.objects.CanvasWrapper",new int[] {3},new Object[] {main._cvslayer0,main._cvslayer1,main._cvslayer2});
 BA.debugLineNum = 25;BA.debugLine="Private jo = cvsLayer2 As JavaObject";
Debug.ShouldStop(16777216);
_jo = RemoteObject.createNew ("anywheresoftware.b4j.object.JavaObject");
_jo.setObject(main._cvslayer2.getObject());Debug.locals.put("jo", _jo);
 BA.debugLineNum = 26;BA.debugLine="jo.RunMethod(\"setMouseTransparent\", Array As Obje";
Debug.ShouldStop(33554432);
_jo.runVoidMethod ("RunMethod",(Object)(BA.ObjectToString("setMouseTransparent")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(main.__c.getField(true,"True"))})));
 BA.debugLineNum = 27;BA.debugLine="Private jo = cvsLayer1 As JavaObject";
Debug.ShouldStop(67108864);
_jo = RemoteObject.createNew ("anywheresoftware.b4j.object.JavaObject");
_jo.setObject(main._cvslayer1.getObject());Debug.locals.put("jo", _jo);
 BA.debugLineNum = 28;BA.debugLine="jo.RunMethod(\"setMouseTransparent\", Array As Obje";
Debug.ShouldStop(134217728);
_jo.runVoidMethod ("RunMethod",(Object)(BA.ObjectToString("setMouseTransparent")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(main.__c.getField(true,"True"))})));
 BA.debugLineNum = 31;BA.debugLine="bmpBackground.Initialize(File.DirAssets, \"rose.jp";
Debug.ShouldStop(1073741824);
main._bmpbackground.runVoidMethod ("Initialize",(Object)(main.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(RemoteObject.createImmutable("rose.jpg")));
 BA.debugLineNum = 33;BA.debugLine="Drawing";
Debug.ShouldStop(1);
_drawing();
 BA.debugLineNum = 34;BA.debugLine="End Sub";
Debug.ShouldStop(2);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _ckblayer_checkedchange(RemoteObject _checked) throws Exception{
try {
		Debug.PushSubsStack("ckbLayer_CheckedChange (main) ","main",0,main.ba,main.mostCurrent,109);
if (RapidSub.canDelegate("ckblayer_checkedchange")) return main.remoteMe.runUserSub(false, "main","ckblayer_checkedchange", _checked);
RemoteObject _ckb = RemoteObject.declareNull("anywheresoftware.b4j.objects.CheckboxWrapper");
RemoteObject _index = RemoteObject.createImmutable(0);
Debug.locals.put("Checked", _checked);
 BA.debugLineNum = 109;BA.debugLine="Private Sub ckbLayer_CheckedChange(Checked  As Boo";
Debug.ShouldStop(4096);
 BA.debugLineNum = 110;BA.debugLine="Dim ckb As CheckBox";
Debug.ShouldStop(8192);
_ckb = RemoteObject.createNew ("anywheresoftware.b4j.objects.CheckboxWrapper");Debug.locals.put("ckb", _ckb);
 BA.debugLineNum = 111;BA.debugLine="Dim index As Int";
Debug.ShouldStop(16384);
_index = RemoteObject.createImmutable(0);Debug.locals.put("index", _index);
 BA.debugLineNum = 113;BA.debugLine="ckb = Sender";
Debug.ShouldStop(65536);
_ckb.setObject(main.__c.runMethod(false,"Sender",main.ba));
 BA.debugLineNum = 114;BA.debugLine="index = ckb.Tag";
Debug.ShouldStop(131072);
_index = BA.numberCast(int.class, _ckb.runMethod(false,"getTag"));Debug.locals.put("index", _index);
 BA.debugLineNum = 115;BA.debugLine="cvsLayer(index).Visible = Checked";
Debug.ShouldStop(262144);
main._cvslayer.getArrayElement(false,_index).runMethod(true,"setVisible",_checked);
 BA.debugLineNum = 116;BA.debugLine="End Sub";
Debug.ShouldStop(524288);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _cvslayer0_mousedragged(RemoteObject _eventdata) throws Exception{
try {
		Debug.PushSubsStack("cvsLayer0_MouseDragged (main) ","main",0,main.ba,main.mostCurrent,118);
if (RapidSub.canDelegate("cvslayer0_mousedragged")) return main.remoteMe.runUserSub(false, "main","cvslayer0_mousedragged", _eventdata);
Debug.locals.put("EventData", _eventdata);
 BA.debugLineNum = 118;BA.debugLine="Private Sub cvsLayer0_MouseDragged (EventData As M";
Debug.ShouldStop(2097152);
 BA.debugLineNum = 119;BA.debugLine="cvsLayer(0).DrawRect(xc - w1 / 2 - 1, yc - w1 / 2";
Debug.ShouldStop(4194304);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 0)).runVoidMethod ("DrawRect",(Object)(RemoteObject.solve(new RemoteObject[] {main._xc,main._w1,RemoteObject.createImmutable(2),RemoteObject.createImmutable(1)}, "-/-",2, 0)),(Object)(RemoteObject.solve(new RemoteObject[] {main._yc,main._w1,RemoteObject.createImmutable(2),RemoteObject.createImmutable(1)}, "-/-",2, 0)),(Object)(RemoteObject.solve(new RemoteObject[] {main._w1,RemoteObject.createImmutable(2)}, "+",1, 0)),(Object)(RemoteObject.solve(new RemoteObject[] {main._w1,RemoteObject.createImmutable(2)}, "+",1, 0)),(Object)(main._fx.getField(false,"Colors").getField(false,"DarkGray")),(Object)(main.__c.getField(true,"True")),(Object)(BA.numberCast(double.class, 1)));
 BA.debugLineNum = 120;BA.debugLine="xc = EventData.X";
Debug.ShouldStop(8388608);
main._xc = _eventdata.runMethod(true,"getX");
 BA.debugLineNum = 121;BA.debugLine="yc = EventData.Y";
Debug.ShouldStop(16777216);
main._yc = _eventdata.runMethod(true,"getY");
 BA.debugLineNum = 122;BA.debugLine="cvsLayer(0).DrawRect(xc - w1 / 2, yc - w1 / 2, w1";
Debug.ShouldStop(33554432);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 0)).runVoidMethod ("DrawRect",(Object)(RemoteObject.solve(new RemoteObject[] {main._xc,main._w1,RemoteObject.createImmutable(2)}, "-/",1, 0)),(Object)(RemoteObject.solve(new RemoteObject[] {main._yc,main._w1,RemoteObject.createImmutable(2)}, "-/",1, 0)),(Object)(main._w1),(Object)(main._w1),(Object)(main._fx.getField(false,"Colors").getField(false,"Blue")),(Object)(main.__c.getField(true,"True")),(Object)(BA.numberCast(double.class, 1)));
 BA.debugLineNum = 123;BA.debugLine="cvsLayer(0).ClearRect(xc - w2 / 2, yc - w2 / 2, w";
Debug.ShouldStop(67108864);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 0)).runVoidMethod ("ClearRect",(Object)(RemoteObject.solve(new RemoteObject[] {main._xc,main._w2,RemoteObject.createImmutable(2)}, "-/",1, 0)),(Object)(RemoteObject.solve(new RemoteObject[] {main._yc,main._w2,RemoteObject.createImmutable(2)}, "-/",1, 0)),(Object)(main._w2),(Object)(main._w2));
 BA.debugLineNum = 124;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _drawcross(RemoteObject _x,RemoteObject _y,RemoteObject _paint) throws Exception{
try {
		Debug.PushSubsStack("DrawCross (main) ","main",0,main.ba,main.mostCurrent,131);
if (RapidSub.canDelegate("drawcross")) return main.remoteMe.runUserSub(false, "main","drawcross", _x, _y, _paint);
RemoteObject _d = RemoteObject.createImmutable(0);
Debug.locals.put("x", _x);
Debug.locals.put("y", _y);
Debug.locals.put("Paint", _paint);
 BA.debugLineNum = 131;BA.debugLine="Private Sub DrawCross(x As Int, y As Int, Paint As";
Debug.ShouldStop(4);
 BA.debugLineNum = 132;BA.debugLine="Private d = 5 As Int";
Debug.ShouldStop(8);
_d = BA.numberCast(int.class, 5);Debug.locals.put("d", _d);Debug.locals.put("d", _d);
 BA.debugLineNum = 134;BA.debugLine="cvsLayer(2).DrawLine(x - d, y, x + d, y, Paint, 1";
Debug.ShouldStop(32);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 2)).runVoidMethod ("DrawLine",(Object)(BA.numberCast(double.class, RemoteObject.solve(new RemoteObject[] {_x,_d}, "-",1, 1))),(Object)(BA.numberCast(double.class, _y)),(Object)(BA.numberCast(double.class, RemoteObject.solve(new RemoteObject[] {_x,_d}, "+",1, 1))),(Object)(BA.numberCast(double.class, _y)),(Object)((_paint.getObject())),(Object)(BA.numberCast(double.class, 1)));
 BA.debugLineNum = 135;BA.debugLine="cvsLayer(2).DrawLine(x, y - d, x, y + d, Paint, 1";
Debug.ShouldStop(64);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 2)).runVoidMethod ("DrawLine",(Object)(BA.numberCast(double.class, _x)),(Object)(BA.numberCast(double.class, RemoteObject.solve(new RemoteObject[] {_y,_d}, "-",1, 1))),(Object)(BA.numberCast(double.class, _x)),(Object)(BA.numberCast(double.class, RemoteObject.solve(new RemoteObject[] {_y,_d}, "+",1, 1))),(Object)((_paint.getObject())),(Object)(BA.numberCast(double.class, 1)));
 BA.debugLineNum = 136;BA.debugLine="End Sub";
Debug.ShouldStop(128);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _drawing() throws Exception{
try {
		Debug.PushSubsStack("Drawing (main) ","main",0,main.ba,main.mostCurrent,36);
if (RapidSub.canDelegate("drawing")) return main.remoteMe.runUserSub(false, "main","drawing");
RemoteObject _font1 = RemoteObject.declareNull("anywheresoftware.b4j.objects.JFX.FontWrapper");
 BA.debugLineNum = 36;BA.debugLine="Sub Drawing";
Debug.ShouldStop(8);
 BA.debugLineNum = 37;BA.debugLine="Private Font1 As Font";
Debug.ShouldStop(16);
_font1 = RemoteObject.createNew ("anywheresoftware.b4j.objects.JFX.FontWrapper");Debug.locals.put("Font1", _font1);
 BA.debugLineNum = 38;BA.debugLine="Font1 = fx.CreateFont(\"Arial\", 20, False, False)";
Debug.ShouldStop(32);
_font1 = main._fx.runMethod(false,"CreateFont",(Object)(BA.ObjectToString("Arial")),(Object)(BA.numberCast(double.class, 20)),(Object)(main.__c.getField(true,"False")),(Object)(main.__c.getField(true,"False")));Debug.locals.put("Font1", _font1);
 BA.debugLineNum = 41;BA.debugLine="cvsBackground.DrawImage(bmpBackground, 0, 0, cvsB";
Debug.ShouldStop(256);
main._cvsbackground.runVoidMethod ("DrawImage",(Object)((main._bmpbackground.getObject())),(Object)(BA.numberCast(double.class, 0)),(Object)(BA.numberCast(double.class, 0)),(Object)(main._cvsbackground.runMethod(true,"getWidth")),(Object)(main._cvsbackground.runMethod(true,"getHeight")));
 BA.debugLineNum = 43;BA.debugLine="cvsLayer(0).DrawRect(0, 0, cvsLayer(0).Width, cvs";
Debug.ShouldStop(1024);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 0)).runVoidMethod ("DrawRect",(Object)(BA.numberCast(double.class, 0)),(Object)(BA.numberCast(double.class, 0)),(Object)(main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 0)).runMethod(true,"getWidth")),(Object)(main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 0)).runMethod(true,"getHeight")),(Object)(main._fx.getField(false,"Colors").getField(false,"DarkGray")),(Object)(main.__c.getField(true,"True")),(Object)(BA.numberCast(double.class, 1)));
 BA.debugLineNum = 46;BA.debugLine="xc = 90";
Debug.ShouldStop(8192);
main._xc = BA.numberCast(double.class, 90);
 BA.debugLineNum = 47;BA.debugLine="yc = 200";
Debug.ShouldStop(16384);
main._yc = BA.numberCast(double.class, 200);
 BA.debugLineNum = 48;BA.debugLine="w1 = 140";
Debug.ShouldStop(32768);
main._w1 = BA.numberCast(double.class, 140);
 BA.debugLineNum = 49;BA.debugLine="cvsLayer(1).DrawRect(xc - w1 / 2, yc - w1 / 2, w1";
Debug.ShouldStop(65536);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 1)).runVoidMethod ("DrawRect",(Object)(RemoteObject.solve(new RemoteObject[] {main._xc,main._w1,RemoteObject.createImmutable(2)}, "-/",1, 0)),(Object)(RemoteObject.solve(new RemoteObject[] {main._yc,main._w1,RemoteObject.createImmutable(2)}, "-/",1, 0)),(Object)(main._w1),(Object)(main._w1),(Object)(main._fx.getField(false,"Colors").getField(false,"Green")),(Object)(main.__c.getField(true,"False")),(Object)(BA.numberCast(double.class, 2)));
 BA.debugLineNum = 50;BA.debugLine="w1 = 120";
Debug.ShouldStop(131072);
main._w1 = BA.numberCast(double.class, 120);
 BA.debugLineNum = 51;BA.debugLine="cvsLayer(0).DrawRect(xc - w1 / 2, yc - w1 / 2, w1";
Debug.ShouldStop(262144);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 0)).runVoidMethod ("DrawRect",(Object)(RemoteObject.solve(new RemoteObject[] {main._xc,main._w1,RemoteObject.createImmutable(2)}, "-/",1, 0)),(Object)(RemoteObject.solve(new RemoteObject[] {main._yc,main._w1,RemoteObject.createImmutable(2)}, "-/",1, 0)),(Object)(main._w1),(Object)(main._w1),(Object)(main._fx.getField(false,"Colors").getField(false,"Blue")),(Object)(main.__c.getField(true,"True")),(Object)(BA.numberCast(double.class, 1)));
 BA.debugLineNum = 52;BA.debugLine="w2 = 100";
Debug.ShouldStop(524288);
main._w2 = BA.numberCast(double.class, 100);
 BA.debugLineNum = 53;BA.debugLine="cvsLayer(0).ClearRect(xc - w2 / 2, yc - w2 / 2, w";
Debug.ShouldStop(1048576);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 0)).runVoidMethod ("ClearRect",(Object)(RemoteObject.solve(new RemoteObject[] {main._xc,main._w2,RemoteObject.createImmutable(2)}, "-/",1, 0)),(Object)(RemoteObject.solve(new RemoteObject[] {main._yc,main._w2,RemoteObject.createImmutable(2)}, "-/",1, 0)),(Object)(main._w2),(Object)(main._w2));
 BA.debugLineNum = 56;BA.debugLine="cvsLayer(1).DrawRect(10, 320, 300, 170, fx.Colors";
Debug.ShouldStop(8388608);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 1)).runVoidMethod ("DrawRect",(Object)(BA.numberCast(double.class, 10)),(Object)(BA.numberCast(double.class, 320)),(Object)(BA.numberCast(double.class, 300)),(Object)(BA.numberCast(double.class, 170)),(Object)(main._fx.getField(false,"Colors").getField(false,"Red")),(Object)(main.__c.getField(true,"False")),(Object)(BA.numberCast(double.class, 1)));
 BA.debugLineNum = 57;BA.debugLine="cvsLayer(0).DrawRect(40, 330, 150, 120, fx.Colors";
Debug.ShouldStop(16777216);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 0)).runVoidMethod ("DrawRect",(Object)(BA.numberCast(double.class, 40)),(Object)(BA.numberCast(double.class, 330)),(Object)(BA.numberCast(double.class, 150)),(Object)(BA.numberCast(double.class, 120)),(Object)((main._fx.getField(false,"Colors").runMethod(false,"ARGB",(Object)(BA.numberCast(int.class, 128)),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 255))))),(Object)(main.__c.getField(true,"True")),(Object)(BA.numberCast(double.class, 1)));
 BA.debugLineNum = 58;BA.debugLine="cvsLayer(1).DrawRectRotated(40, 350, 240, 110, fx";
Debug.ShouldStop(33554432);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 1)).runVoidMethod ("DrawRectRotated",(Object)(BA.numberCast(double.class, 40)),(Object)(BA.numberCast(double.class, 350)),(Object)(BA.numberCast(double.class, 240)),(Object)(BA.numberCast(double.class, 110)),(Object)((main._fx.getField(false,"Colors").runMethod(false,"ARGB",(Object)(BA.numberCast(int.class, 128)),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 255)),(Object)(BA.numberCast(int.class, 0))))),(Object)(main.__c.getField(true,"True")),(Object)(BA.numberCast(double.class, 1)),(Object)(BA.numberCast(double.class, 10)));
 BA.debugLineNum = 59;BA.debugLine="cvsLayer(0).ClearRect(90, 360, 150, 120)";
Debug.ShouldStop(67108864);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 0)).runVoidMethod ("ClearRect",(Object)(BA.numberCast(double.class, 90)),(Object)(BA.numberCast(double.class, 360)),(Object)(BA.numberCast(double.class, 150)),(Object)(BA.numberCast(double.class, 120)));
 BA.debugLineNum = 60;BA.debugLine="cvsLayer(0).DrawRect(90, 360, 150, 120, fx.Colors";
Debug.ShouldStop(134217728);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 0)).runVoidMethod ("DrawRect",(Object)(BA.numberCast(double.class, 90)),(Object)(BA.numberCast(double.class, 360)),(Object)(BA.numberCast(double.class, 150)),(Object)(BA.numberCast(double.class, 120)),(Object)(main._fx.getField(false,"Colors").getField(false,"Red")),(Object)(main.__c.getField(true,"False")),(Object)(BA.numberCast(double.class, 2)));
 BA.debugLineNum = 61;BA.debugLine="cvsLayer(0).DrawRect(140, 330, 150, 120, fx.Color";
Debug.ShouldStop(268435456);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 0)).runVoidMethod ("DrawRect",(Object)(BA.numberCast(double.class, 140)),(Object)(BA.numberCast(double.class, 330)),(Object)(BA.numberCast(double.class, 150)),(Object)(BA.numberCast(double.class, 120)),(Object)((main._fx.getField(false,"Colors").runMethod(false,"ARGB",(Object)(BA.numberCast(int.class, 128)),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 255))))),(Object)(main.__c.getField(true,"True")),(Object)(BA.numberCast(double.class, 1)));
 BA.debugLineNum = 64;BA.debugLine="cvsLayer(1).DrawImage(bmpBackground, 350, 130, 20";
Debug.ShouldStop(-2147483648);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 1)).runVoidMethod ("DrawImage",(Object)((main._bmpbackground.getObject())),(Object)(BA.numberCast(double.class, 350)),(Object)(BA.numberCast(double.class, 130)),(Object)(BA.numberCast(double.class, 200)),(Object)(BA.numberCast(double.class, 180)));
 BA.debugLineNum = 67;BA.debugLine="x1 = 10";
Debug.ShouldStop(4);
main._x1 = BA.numberCast(double.class, 10);
 BA.debugLineNum = 68;BA.debugLine="y1 = 10";
Debug.ShouldStop(8);
main._y1 = BA.numberCast(double.class, 10);
 BA.debugLineNum = 69;BA.debugLine="x2 = 250";
Debug.ShouldStop(16);
main._x2 = BA.numberCast(double.class, 250);
 BA.debugLineNum = 70;BA.debugLine="y2 = 40";
Debug.ShouldStop(32);
main._y2 = BA.numberCast(double.class, 40);
 BA.debugLineNum = 71;BA.debugLine="cvsLayer(2).DrawLine(x1, y1, x2, y2, fx.Colors.Re";
Debug.ShouldStop(64);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 2)).runVoidMethod ("DrawLine",(Object)(main._x1),(Object)(main._y1),(Object)(main._x2),(Object)(main._y2),(Object)(main._fx.getField(false,"Colors").getField(false,"Red")),(Object)(BA.numberCast(double.class, 1)));
 BA.debugLineNum = 72;BA.debugLine="y1 = 50";
Debug.ShouldStop(128);
main._y1 = BA.numberCast(double.class, 50);
 BA.debugLineNum = 73;BA.debugLine="y2 = 50";
Debug.ShouldStop(256);
main._y2 = BA.numberCast(double.class, 50);
 BA.debugLineNum = 74;BA.debugLine="cvsLayer(2).DrawLine(x1, y1, x2, y2, fx.Colors.Gr";
Debug.ShouldStop(512);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 2)).runVoidMethod ("DrawLine",(Object)(main._x1),(Object)(main._y1),(Object)(main._x2),(Object)(main._y2),(Object)(main._fx.getField(false,"Colors").getField(false,"Green")),(Object)(BA.numberCast(double.class, 1)));
 BA.debugLineNum = 75;BA.debugLine="y1 = 60";
Debug.ShouldStop(1024);
main._y1 = BA.numberCast(double.class, 60);
 BA.debugLineNum = 76;BA.debugLine="y2 = 90";
Debug.ShouldStop(2048);
main._y2 = BA.numberCast(double.class, 90);
 BA.debugLineNum = 77;BA.debugLine="cvsLayer(2).DrawLine(x1, y1, x2, y2, fx.Colors.Ye";
Debug.ShouldStop(4096);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 2)).runVoidMethod ("DrawLine",(Object)(main._x1),(Object)(main._y1),(Object)(main._x2),(Object)(main._y2),(Object)(main._fx.getField(false,"Colors").getField(false,"Yellow")),(Object)(BA.numberCast(double.class, 1)));
 BA.debugLineNum = 78;BA.debugLine="y1 = 80";
Debug.ShouldStop(8192);
main._y1 = BA.numberCast(double.class, 80);
 BA.debugLineNum = 79;BA.debugLine="y2 = 110";
Debug.ShouldStop(16384);
main._y2 = BA.numberCast(double.class, 110);
 BA.debugLineNum = 80;BA.debugLine="cvsLayer(2).DrawLine(x1, y1, x2, y2, fx.Colors.RG";
Debug.ShouldStop(32768);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 2)).runVoidMethod ("DrawLine",(Object)(main._x1),(Object)(main._y1),(Object)(main._x2),(Object)(main._y2),(Object)((main._fx.getField(false,"Colors").runMethod(false,"RGB",(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 128)),(Object)(BA.numberCast(int.class, 255))))),(Object)(BA.numberCast(double.class, 5)));
 BA.debugLineNum = 83;BA.debugLine="x1 = 350";
Debug.ShouldStop(262144);
main._x1 = BA.numberCast(double.class, 350);
 BA.debugLineNum = 84;BA.debugLine="y1 = 40";
Debug.ShouldStop(524288);
main._y1 = BA.numberCast(double.class, 40);
 BA.debugLineNum = 85;BA.debugLine="cvsLayer(2).DrawText(\"Rose\", x1, y1, Font1, fx.Co";
Debug.ShouldStop(1048576);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 2)).runVoidMethod ("DrawText",(Object)(BA.ObjectToString("Rose")),(Object)(main._x1),(Object)(main._y1),(Object)((_font1.getObject())),(Object)(main._fx.getField(false,"Colors").getField(false,"Red")),(Object)(BA.getEnumFromString(BA.getDeviceClass("javafx.scene.text.TextAlignment"),RemoteObject.createImmutable("LEFT"))));
 BA.debugLineNum = 86;BA.debugLine="DrawCross(x1, y1, fx.Colors.Yellow)";
Debug.ShouldStop(2097152);
_drawcross(BA.numberCast(int.class, main._x1),BA.numberCast(int.class, main._y1),RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4j.objects.JFX.PaintWrapper"), main._fx.getField(false,"Colors").getField(false,"Yellow")));
 BA.debugLineNum = 87;BA.debugLine="y1 = 70";
Debug.ShouldStop(4194304);
main._y1 = BA.numberCast(double.class, 70);
 BA.debugLineNum = 88;BA.debugLine="cvsLayer(2).DrawText(\"Rose\", x1, y1, Font1, fx.Co";
Debug.ShouldStop(8388608);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 2)).runVoidMethod ("DrawText",(Object)(BA.ObjectToString("Rose")),(Object)(main._x1),(Object)(main._y1),(Object)((_font1.getObject())),(Object)(main._fx.getField(false,"Colors").getField(false,"Red")),(Object)(BA.getEnumFromString(BA.getDeviceClass("javafx.scene.text.TextAlignment"),RemoteObject.createImmutable("CENTER"))));
 BA.debugLineNum = 89;BA.debugLine="DrawCross(x1, y1, fx.Colors.Yellow)";
Debug.ShouldStop(16777216);
_drawcross(BA.numberCast(int.class, main._x1),BA.numberCast(int.class, main._y1),RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4j.objects.JFX.PaintWrapper"), main._fx.getField(false,"Colors").getField(false,"Yellow")));
 BA.debugLineNum = 90;BA.debugLine="y1 = 100";
Debug.ShouldStop(33554432);
main._y1 = BA.numberCast(double.class, 100);
 BA.debugLineNum = 91;BA.debugLine="cvsLayer(2).DrawText(\"Rose\", x1, y1, fx.CreateFon";
Debug.ShouldStop(67108864);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 2)).runVoidMethod ("DrawText",(Object)(BA.ObjectToString("Rose")),(Object)(main._x1),(Object)(main._y1),(Object)((main._fx.runMethod(false,"CreateFont",(Object)(BA.ObjectToString("Arial")),(Object)(BA.numberCast(double.class, 20)),(Object)(main.__c.getField(true,"False")),(Object)(main.__c.getField(true,"False"))).getObject())),(Object)(main._fx.getField(false,"Colors").getField(false,"Red")),(Object)(BA.getEnumFromString(BA.getDeviceClass("javafx.scene.text.TextAlignment"),RemoteObject.createImmutable("RIGHT"))));
 BA.debugLineNum = 92;BA.debugLine="DrawCross(x1, y1, fx.Colors.Yellow)";
Debug.ShouldStop(134217728);
_drawcross(BA.numberCast(int.class, main._x1),BA.numberCast(int.class, main._y1),RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4j.objects.JFX.PaintWrapper"), main._fx.getField(false,"Colors").getField(false,"Yellow")));
 BA.debugLineNum = 95;BA.debugLine="x1 = 500";
Debug.ShouldStop(1073741824);
main._x1 = BA.numberCast(double.class, 500);
 BA.debugLineNum = 96;BA.debugLine="y1 = 40";
Debug.ShouldStop(-2147483648);
main._y1 = BA.numberCast(double.class, 40);
 BA.debugLineNum = 97;BA.debugLine="cvsLayer(2).DrawTextRotated(\"Rose\", x1, y1, Font1";
Debug.ShouldStop(1);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 2)).runVoidMethod ("DrawTextRotated",(Object)(BA.ObjectToString("Rose")),(Object)(main._x1),(Object)(main._y1),(Object)((_font1.getObject())),(Object)(main._fx.getField(false,"Colors").getField(false,"Red")),(Object)(BA.getEnumFromString(BA.getDeviceClass("javafx.scene.text.TextAlignment"),"LEFT")),(Object)(BA.numberCast(double.class, -(double) (0 + 10))));
 BA.debugLineNum = 98;BA.debugLine="DrawCross(x1, y1, fx.Colors.Yellow)";
Debug.ShouldStop(2);
_drawcross(BA.numberCast(int.class, main._x1),BA.numberCast(int.class, main._y1),RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4j.objects.JFX.PaintWrapper"), main._fx.getField(false,"Colors").getField(false,"Yellow")));
 BA.debugLineNum = 99;BA.debugLine="y1 = 70";
Debug.ShouldStop(4);
main._y1 = BA.numberCast(double.class, 70);
 BA.debugLineNum = 100;BA.debugLine="cvsLayer(2).DrawTextRotated(\"Rose\", x1, y1, Font1";
Debug.ShouldStop(8);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 2)).runVoidMethod ("DrawTextRotated",(Object)(BA.ObjectToString("Rose")),(Object)(main._x1),(Object)(main._y1),(Object)((_font1.getObject())),(Object)(main._fx.getField(false,"Colors").getField(false,"Red")),(Object)(BA.getEnumFromString(BA.getDeviceClass("javafx.scene.text.TextAlignment"),"CENTER")),(Object)(BA.numberCast(double.class, -(double) (0 + 10))));
 BA.debugLineNum = 101;BA.debugLine="DrawCross(x1, y1, fx.Colors.Yellow)";
Debug.ShouldStop(16);
_drawcross(BA.numberCast(int.class, main._x1),BA.numberCast(int.class, main._y1),RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4j.objects.JFX.PaintWrapper"), main._fx.getField(false,"Colors").getField(false,"Yellow")));
 BA.debugLineNum = 102;BA.debugLine="y1 = 100";
Debug.ShouldStop(32);
main._y1 = BA.numberCast(double.class, 100);
 BA.debugLineNum = 103;BA.debugLine="cvsLayer(2).DrawTextRotated(\"Rose\", x1, y1, Font1";
Debug.ShouldStop(64);
main._cvslayer.getArrayElement(false,BA.numberCast(int.class, 2)).runVoidMethod ("DrawTextRotated",(Object)(BA.ObjectToString("Rose")),(Object)(main._x1),(Object)(main._y1),(Object)((_font1.getObject())),(Object)(main._fx.getField(false,"Colors").getField(false,"Red")),(Object)(BA.getEnumFromString(BA.getDeviceClass("javafx.scene.text.TextAlignment"),"RIGHT")),(Object)(BA.numberCast(double.class, -(double) (0 + 10))));
 BA.debugLineNum = 104;BA.debugLine="DrawCross(x1, y1, fx.Colors.Yellow)";
Debug.ShouldStop(128);
_drawcross(BA.numberCast(int.class, main._x1),BA.numberCast(int.class, main._y1),RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4j.objects.JFX.PaintWrapper"), main._fx.getField(false,"Colors").getField(false,"Yellow")));
 BA.debugLineNum = 105;BA.debugLine="End Sub";
Debug.ShouldStop(256);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}

private static boolean processGlobalsRun;
public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main_subs_0._process_globals();
main.myClass = BA.getDeviceClass ("b4j.example.main");
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 7;BA.debugLine="Private fx As JFX";
main._fx = RemoteObject.createNew ("anywheresoftware.b4j.objects.JFX");
 //BA.debugLineNum = 8;BA.debugLine="Private MainForm As Form";
main._mainform = RemoteObject.createNew ("anywheresoftware.b4j.objects.Form");
 //BA.debugLineNum = 10;BA.debugLine="Private cvsBackground, cvsLayer0, cvsLayer1, cvsL";
main._cvsbackground = RemoteObject.createNew ("anywheresoftware.b4j.objects.CanvasWrapper");
main._cvslayer0 = RemoteObject.createNew ("anywheresoftware.b4j.objects.CanvasWrapper");
main._cvslayer1 = RemoteObject.createNew ("anywheresoftware.b4j.objects.CanvasWrapper");
main._cvslayer2 = RemoteObject.createNew ("anywheresoftware.b4j.objects.CanvasWrapper");
main._cvslayer = RemoteObject.createNewArray ("anywheresoftware.b4j.objects.CanvasWrapper", new int[] {3}, new Object[]{});
 //BA.debugLineNum = 11;BA.debugLine="Private bmpBackground As Image";
main._bmpbackground = RemoteObject.createNew ("anywheresoftware.b4j.objects.ImageViewWrapper.ImageWrapper");
 //BA.debugLineNum = 13;BA.debugLine="Private xc, yc, x1, y1, x2, y2, w1, w2 As Double";
main._xc = RemoteObject.createImmutable(0);
main._yc = RemoteObject.createImmutable(0);
main._x1 = RemoteObject.createImmutable(0);
main._y1 = RemoteObject.createImmutable(0);
main._x2 = RemoteObject.createImmutable(0);
main._y2 = RemoteObject.createImmutable(0);
main._w1 = RemoteObject.createImmutable(0);
main._w2 = RemoteObject.createImmutable(0);
 //BA.debugLineNum = 14;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
}